
QGIS Application - Bug report #13742

Strange polygon edge rendering at edges of visible extent

2015-11-02 05:27 PM - Paulo Raposo

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:2.12.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21769

Description

I'm using QGIS 2.12 "Lyon", Windows 7, 8, and 10, though it happened under "Pisa" too.

Particularly with larger, more complex polygon shapefiles, there are erroneous lines added to polygon edges, usually around the edges of

the visible extent. They're temporary, and dissappear when I zoom or pan - either that, or new, different temporary ones appear! I

attached a screenshot where every shape should be either square or rectangular, only 90 degree angles, yet there are seemingly random

diagonal lines here and there around the visible edges. Pretty disconcerting, cartographically speaking.

They don't seem to happen in the print composer, but I'm not working with it as much.

Thanks :)

History

#1 - 2015-11-02 05:27 PM - Paulo Raposo

- File weirdrendering.png added

#2 - 2015-11-02 09:15 PM - Nyall Dawson

- Status changed from Open to Feedback

Likely a duplicate of #13343. It's been fixed since 2.12. Can you test the nightlies and confirm?

#3 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.12)

#4 - 2015-11-08 12:52 AM - Paulo Raposo

- File printcomposer.png added

- File printcomposer_export.png added

- File qgis_main_window.png added

Hmm, does look similar to 13343. But it's happening not just with "long" lines. Happens to me with polygons. It's still happening to me now in 2.12 (Lyon),

and has in previous versions back to Wien too. Haven't been able to check nightlies yet; might have a problem with that if I have to compile them myself

(haven't learned how to do that yet). I attach new screen caps; seems it's happening in the print composer too, but not the exported png.

#5 - 2015-11-08 02:48 AM - Giovanni Manghi
Paulo Raposo wrote:

Hmm, does look similar to 13343. But it's happening not just with "long" lines. Happens to me with polygons. It's still happening to me now in 2.12

(Lyon), and has in previous versions back to Wien too. Haven't been able to check nightlies yet; might have a problem with that if I have to compile

them myself (haven't learned how to do that yet). I attach new screen caps; seems it's happening in the print composer too, but not the exported

png.

On Windows you don't need to compile, just use the osgeo4w installer and you'll daily updated of the development version. Please give it a try and report

back (or attach sample data). Obrigado!

#6 - 2015-11-15 09:37 PM - Paulo Raposo

- File clean.png added

Hi, sorry for delay. Used OSGeo4W as suggested, installing "qgis-rel-dev" option, version 2.12.0-10 nightly build. The problem seems to be gone

(hurray!). Screen-cap attached.

Above, you folks say "It's been fixed since 2.12" -- as in, after 2.12 was released? Because it's happening on my copy of 2.12 installed through the qgis.org

installer, but not on this nightly build. Windows 10 64-bit, btw.

#7 - 2015-11-15 11:50 PM - Nyall Dawson

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

Sorry, I meant "fixed after 2.12". So this issue is still present in 2.12, but not later versions.
